<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>DDRS.PHQ.MoveToStat</name>
<version>1</version>
<engineversion>30</engineversion>
<description>Move to station</description>
<arguments>
<argument index="1" name="Command" type="Object Command/Signal" desc="Command" />
<argument index="2" name="Station" type="Var/Station" desc="Station" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><text>set&#160;script&#160;command:&#160;</text><var>$Command</var></line>
<line linenr="002" indent=""><var>$This.Size&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="003" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>$Station</var></line>
<line linenr="004" indent=""><var>while&#160;</var><var>[TRUE]</var></line>
<line linenr="005" indent="&#160;"><var>skip&#160;if&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="006" indent="&#160;&#160;"><text>break</text></line>
<line linenr="007" indent="&#160;"><var>if&#160;</var><var>$Station</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>[DOCKEDAT]</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Station</var></line>
<line linenr="008" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>6000</var><text>&#160;to&#160;</text><var>12000</var><text>&#160;ms</text></line>
<line linenr="009" indent="&#160;&#160;"><text>break</text></line>
<line linenr="010" indent="&#160;"><text>end</text></line>
<line linenr="011" indent="&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="012" indent="&#160;&#160;"><var>while&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="013" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;sector&#160;</text><var>[SECTOR]</var></line>
<line linenr="014" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="015" indent="&#160;&#160;"><text>end</text></line>
<line linenr="016" indent="&#160;&#160;"><text>continue</text></line>
<line linenr="017" indent="&#160;"><text>end</text></line>
<line linenr="018" indent="&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;in&#160;same&#160;sector&#160;as&#160;</text><var>$Station</var></line>
<line linenr="019" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="020" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$This.Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>6000</var></line>
<line linenr="021" indent="&#160;&#160;"><var>while&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;in&#160;same&#160;sector&#160;as&#160;</text><var>$Station</var></line>
<line linenr="022" interruptable="@" indent="&#160;&#160;&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Station</var><text>&#160;with&#160;precision&#160;</text><var>$Size</var><text>&#160;m&#160;:&#160;timeout=</text><var>20000</var><text>&#160;ms</text></line>
<line linenr="023" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var></line>
<line linenr="024" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;is&#160;docking&#160;possible&#160;of&#160;</text><var>[THIS]</var></line>
<line linenr="025" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;station&#160;</text><var>$Station</var></line>
<line linenr="026" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="027" indent="&#160;&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="028" indent="&#160;&#160;&#160;&#160;"><text>else</text></line>
<line linenr="029" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;around&#160;</text><var>20000</var><text>&#160;ms</text></line>
<line linenr="030" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="031" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="032" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="033" indent="&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="034" indent="&#160;&#160;"><text>end</text></line>
<line linenr="035" indent="&#160;&#160;"><text>continue</text></line>
<line linenr="036" indent="&#160;"><text>end</text></line>
<line linenr="037" indent="&#160;"><var>$Targ.Sec&#160;=&#160;</var><var>$Station&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="038" indent="&#160;"><var>$Gate&#160;=&#160;</var><text>&#160;get&#160;next&#160;gate&#160;on&#160;route&#160;from&#160;</text><var>[SECTOR]</var><text>&#160;to&#160;</text><var>$Targ.Sec</var></line>
<line linenr="039" indent="&#160;"><var>if&#160;not&#160;</var><var>$Gate</var></line>
<line linenr="040" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;around&#160;</text><var>20000</var><text>&#160;ms</text></line>
<line linenr="041" indent="&#160;&#160;"><text>continue</text></line>
<line linenr="042" indent="&#160;"><text>end</text></line>
<line linenr="043" indent="&#160;"><var>$Size&#160;=&#160;</var><var>$This.Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>6000</var></line>
<line linenr="044" interruptable="@" indent="&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Gate</var><text>&#160;with&#160;precision&#160;</text><var>$Size</var><text>&#160;m&#160;:&#160;timeout=</text><var>20000</var><text>&#160;ms</text></line>
<line linenr="045" indent="&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var></line>
<line linenr="046" indent="&#160;&#160;"><var>$Temp&#160;=&#160;</var><var>$Gate</var><text>&#160;get&#160;gate&#160;destination:&#160;return&#160;sector=</text><var>[TRUE]</var></line>
<line linenr="047" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;sector&#160;</text><var>$Temp</var></line>
<line linenr="048" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="049" indent="&#160;"><text>end</text></line>
<line linenr="050" indent=""><text>end</text></line>
<line linenr="051" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>null</var></line>
<line linenr="052" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="DDRS.PHQ.MoveToStat" /><sval type="int" val="30" /><sval type="string" val="Move to station" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="8"><sval type="string" val="Command" /><sval type="string" val="Station" /><sval type="string" val="This.Size" /><sval type="string" val="Size" /><sval type="string" val="Ret" /><sval type="string" val="Targ.Sec" /><sval type="string" val="Gate" /><sval type="string" val="Temp" /></sval><sval type="array" size="45"><sval type="array" size="3"><sval type="int" val="120" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610601719" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536869369" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="43" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610610429" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="0" /><sval type="int" val="-3" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="6000" /><sval type="int" val="4" /><sval type="int" val="12000" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="43" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610608893" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610609143" /></sval><sval type="array" size="6"><sval type="int" val="502" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="733" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610604797" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="3" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="6000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="6"><sval type="int" val="733" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610605047" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="20000" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605821" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="746" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-1610606077" /><sval type="int" val="131075" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="501" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="30" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="27" /></sval><sval type="array" size="6"><sval type="int" val="507" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="20000" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536863481" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="30" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="18" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="3" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="5" /></sval><sval type="array" size="6"><sval type="int" val="1074" /><sval type="int" val="6" /><sval type="int" val="131075" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536861692" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="507" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="20000" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="3" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="6000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="20000" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601981" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="1057" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="502" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="3" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="33" /><sval type="string" val="Command" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="string" val="Station" /></sval></sval><sval type="array" size="18"><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="42" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
